Store In Vault
curl --request POST \
--url https://{host}/Agent/Storage/StoreInVault \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"clientId": "<string>",
"vaultId": "<string>",
"Tags": [
{
"name": "<string>",
"value": "<string>",
"masked": "<string>"
}
]
}
'import requests
url = "https://{host}/Agent/Storage/StoreInVault"
payload = {
"type": "<string>",
"clientId": "<string>",
"vaultId": "<string>",
"Tags": [
{
"name": "<string>",
"value": "<string>",
"masked": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
clientId: '<string>',
vaultId: '<string>',
Tags: [{name: '<string>', value: '<string>', masked: '<string>'}]
})
};
fetch('https://{host}/Agent/Storage/StoreInVault', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"vaultId": "<string>"
}Storage
Store In Vault
Allows the client to store information security in the vault.
POST
/
Agent
/
Storage
/
StoreInVault
Store In Vault
Overview
Allows the client to store information security in the vault. The information is stored encrypted is secure storage, complying with stricty industry standards such as PCI/DSS. The resource can be used to store new information, or to update existing information. Masks can be provided to the information, so that when it is retrieved later, only the masked information is returned. In return for storing the information in the vault, an opaque identifier is returned. This identifier can be safely stored by the client, and used to retrieve the information later. This allows the client to avoid storing sensitive information locally.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I